For the complete documentation index, see llms.txt. This page is also available as Markdown.

ShareFieldName

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getShareFieldName

post

Retrieve ShareFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
ShareFieldNameFieldintegerRequired
Responses
200

Successful operation.

application/json
post/getShareFieldName
POST /nexum/627/2022.01/parameter/getShareFieldName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 173

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ShareFieldNameField": "example-value",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareFieldName": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getShareFieldName"
}

getShareFieldNameSelectFields

post

Retrieve ShareFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
ShareFieldNameFieldintegerOptional
Responses
200

Successful operation.

application/json
post/getShareFieldNameSelectFields
POST /nexum/627/2022.01/parameter/getShareFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "ShareFieldNameField": 1,
  "SelectableFields": {
    "ShareFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "ShareFieldName": {
    "Field": 1,
    "FieldName": "User Char   01"
  },
  "MessageId": "getShareFieldNameSelectFields"
}

getShareFieldNamePagedList

post

Retrieve ShareFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareFieldNamePagedList
POST /nexum/627/2022.01/parameter/getShareFieldNamePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareFieldName": [],
  "Token": null,
  "MessageId": "getShareFieldNamePagedList"
}

getShareFieldNameListSelectFields

post

Retrieve ShareFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getShareFieldNameListSelectFields
POST /nexum/627/2022.01/parameter/getShareFieldNameListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 197

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllShareFieldNameFields": true
  }
}
200

Successful operation.

{
  "ShareFieldNameList": [],
  "MessageId": "getShareFieldNameListSelectFields"
}

searchShareFieldNameSelectFields

post

Search ShareFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchShareFieldNameSelectFields
POST /nexum/627/2022.01/parameter/searchShareFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 235

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllShareFieldNameFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ShareFieldNameList": [],
  "MessageId": "searchShareFieldNameSelectFields"
}

getShareFieldNamePagedListSelectFields

post

Retrieve ShareFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getShareFieldNamePagedListSelectFields
POST /nexum/627/2022.01/parameter/getShareFieldNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 293

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "ShareFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "ShareFieldName": [
    {
      "Field": 1,
      "FieldName": "User Char   01"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getShareFieldNamePagedListSelectFields"
}

searchShareFieldNamePagedSelectFields

post

Search ShareFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchShareFieldNamePagedSelectFields
POST /nexum/627/2022.01/parameter/searchShareFieldNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 304

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "ShareFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "ShareFieldName": [
    {
      "Field": 1,
      "FieldName": "User Char   01"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchShareFieldNamePagedSelectFields"
}

updateShareFieldNameByID

post

Update ShareFieldName parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
ShareFieldNameFieldintegerOptional
Responses
200

Successful operation.

application/json
post/updateShareFieldNameByID
POST /nexum/627/2022.01/parameter/updateShareFieldNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 246

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "ShareFieldNameField": "example-value",
  "ShareFieldNameUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateShareFieldNameByID"
}

Last updated

Was this helpful?